admin_user_all:
    path:     /all/{page}/{search}
    defaults: { _controller: admin\UserBundle\Controller\UserController:all, page: 1, search: null }
    requirements:
        page: \d+

admin_user_action:
    path:     /{id}/{action}/{page}/{search}
    defaults: { _controller: admin\UserBundle\Controller\UserController:action, page: 1, search: null }
    requirements:
        id:   \d+
        page:   \d+
        action: demote|promote

admin_user_show:
    path:     /show/{id}
    defaults: { _controller: admin\UserBundle\Controller\UserController:show }
    requirements:
        id:   \d+

admin_user_edit:
    path:     /edit/{id}
    defaults: { _controller: admin\UserBundle\Controller\UserController:edit }
    requirements:
        id:   \d+